Create a record
curl --request POST \
--url https://api.quiva.ai/records/{config_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"rating": 4.5,
"category": "feature",
"comment": "<p>Great product, would love dark mode.</p>"
}
}
'import requests
url = "https://api.quiva.ai/records/{config_id}"
payload = { "data": {
"rating": 4.5,
"category": "feature",
"comment": "<p>Great product, would love dark mode.</p>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
rating: 4.5,
category: 'feature',
comment: '<p>Great product, would love dark mode.</p>'
}
})
};
fetch('https://api.quiva.ai/records/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/records/{config_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'rating' => 4.5,
'category' => 'feature',
'comment' => '<p>Great product, would love dark mode.</p>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/records/{config_id}"
payload := strings.NewReader("{\n \"data\": {\n \"rating\": 4.5,\n \"category\": \"feature\",\n \"comment\": \"<p>Great product, would love dark mode.</p>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/records/{config_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"rating\": 4.5,\n \"category\": \"feature\",\n \"comment\": \"<p>Great product, would love dark mode.</p>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/records/{config_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"rating\": 4.5,\n \"category\": \"feature\",\n \"comment\": \"<p>Great product, would love dark mode.</p>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"body": {
"id": "<string>",
"config_id": "<string>",
"data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}Records
Create a record
Creates a new record conforming to the specified configuration’s schema. Record data is validated against the schema at creation time.
POST
/
records
/
{config_id}
Create a record
curl --request POST \
--url https://api.quiva.ai/records/{config_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"rating": 4.5,
"category": "feature",
"comment": "<p>Great product, would love dark mode.</p>"
}
}
'import requests
url = "https://api.quiva.ai/records/{config_id}"
payload = { "data": {
"rating": 4.5,
"category": "feature",
"comment": "<p>Great product, would love dark mode.</p>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
rating: 4.5,
category: 'feature',
comment: '<p>Great product, would love dark mode.</p>'
}
})
};
fetch('https://api.quiva.ai/records/{config_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/records/{config_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'rating' => 4.5,
'category' => 'feature',
'comment' => '<p>Great product, would love dark mode.</p>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/records/{config_id}"
payload := strings.NewReader("{\n \"data\": {\n \"rating\": 4.5,\n \"category\": \"feature\",\n \"comment\": \"<p>Great product, would love dark mode.</p>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/records/{config_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"rating\": 4.5,\n \"category\": \"feature\",\n \"comment\": \"<p>Great product, would love dark mode.</p>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/records/{config_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"rating\": 4.5,\n \"category\": \"feature\",\n \"comment\": \"<p>Great product, would love dark mode.</p>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status_code": 123,
"body": {
"id": "<string>",
"config_id": "<string>",
"data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}{
"status_code": 400,
"body": {
"error": "field 'rating' is required"
}
}Authorizations
bearerAuthapiKeyAuth
Body
application/json
The config_id is taken from the URL path and does not need to be repeated in the body. data is optional (defaults to an empty object) but is validated against the config schema when present.